###############################################################################
# Settings.pl                                                                 #
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
# Version:        YaBB 1 Gold - SP 1.3.1                                      #
# Released:       December 2001; Updated April 18, 2003                       #
# Distributed by: http://www.yabbforum.com                                    #
# =========================================================================== #
# Copyright (c) 2000-2003 YaBB (www.yabbforum.com) - All Rights Reserved.     #
# Software by: The YaBB Development Team                                      #
#              with assistance from the YaBB community.                       #
# Sponsored by: Xnull Internet Media, Inc. - http://www.ximinc.com            #
###############################################################################

########## Board Info ##########
# Note: these settings must be properly changed for YaBB to work

$maintenance = 0;                                                     # Set to 1 to enable Maintenance mode
$guestaccess = 0;                                                     # Set to 0 to disallow guests from doing anything but login or register

$language = "english.lng";                                            # Change to language pack you wish to use
$mbname = q^My Garthamlock Forum^;                                    # The name of your YaBB forum
$boardurl = "http://www.mygarthamlock.co.uk/cgi-bin/yabb";            # URL of your board's folder (without trailing '/')

$Cookie_Length = 360;                                                 # Default minutes to set login cookies to stay for
$cookieusername = "YaBBusername";                                     # Name of the username cookie
$cookiepassword = "YaBBpassword";                                     # Name of the password cookie

$RegAgree = 1;                                                        # Set to 1 to display the registration agreement when registering
$emailpassword = 0;                                                   # 0 - instant registration. 1 - password emailed to new members
$emailnewpass = 1;                                                    # Set to 1 to email a new password to members if they change their email address
$emailwelcome = 1;                                                    # Set to 1 to email a welcome message to users even when you have mail password turned off

$mailprog = "/usr/sbin/sendmail";                                     # Location of your sendmail program
$smtp_server = "auth.smtp.oneandone.co.uk";                           # Address of your SMTP-Server
$webmaster_email = q^paul@mygarthamlock.co.uk^;                       # Your email address. (eg: $webmaster_email = q^admin@host.com^;)
$mailtype = 0;                                                        # Mail program to use: 0 = sendmail, 1 = SMTP, 2 = Net::SMTP


########## Directories/Files ##########
# Note: directories other than $imagesdir do not have to be changed unless you move things

$boarddir = ".";                                                      # The server path to the board's folder (usually can be left as '.')
$boardsdir = "./Boards";                                              # Directory with board data files
$datadir = "./Messages";                                              # Directory with messages
$memberdir = "./Members";                                             # Directory with member files
$sourcedir = "./Sources";                                             # Directory with YaBB source files
$vardir = "./Variables";                                              # Directory with variable files
$facesdir = "../../public_html/YaBBImages/avatars";                   # The server path to your avatars (userpics) folder
$facesurl = "http://www.mygarthamlock.co.uk/public_html/YaBBImages/avatars";
                                                                      # URL to your avatars folder
$soundsdir = "../../sounds";                                          # Absolute Path to your sounds folder
$soundsurl = "http://www.mygarthamlock.co.uk/sounds";                 # URL to your sounds folder

$imagesdir = "http://www.mygarthamlock.co.uk/public_html/YaBBImages";
                                                                      # URL to your images folder
$ubbcjspath = "http://www.mygarthamlock.co.uk/ubbc.js";               # URL to your 'ubbc.js' (REQUIRED for post/modify to work properly)
$faderpath = "http://www.mygarthamlock.co.uk/fader.js";               # URL to your 'fader.js'
$helpfile = "http://www.mygarthamlock.co.uk/public_html/YaBBHelp/index.html";
                                                                      # URL to your help file


########## Colors ##########
# Note: equivalent to colors in CSS tag of template.html, so set to same colors preferrably
# for browsers without CSS compatibility and for some items that don't use the CSS tag

$color{'titlebg'} = "#6E94B7";                                        # Background color of the 'title-bar'
$color{'titletext'} = "#FFFFFF";                                      # Color of text in the 'title-bar' (above each 'window')
$color{'windowbg'} = "#AFC6DB";                                       # Background color for messages/forms etc.
$color{'windowbg2'} = "#F8F8F8";                                      # Background color for messages/forms etc.
$color{'windowbg3'} = "#6394BD";                                      # Color of horizontal rules in posts
$color{'catbg'} = "#DEE7EF";                                          # Background color for category (at Board Index)
$color{'bordercolor'} = "#6394BD";                                    # Table Border color for some tables
$color{'fadertext'}  = "#FFFFFF";                                     # Color of text in the NewsFader (news color)

########## Layout ##########

$maintenancetext = "We are currently upgrading our forum. Please check back shortly!";
                                                                      # User-defined text for Maintenance mode (leave blank for default text)
$MenuType = 1;                                                        # 1 for text menu or anything else for images menu
$curposlinks = 1;                                                     # 1 for links in navigation on current page, or 0 for text without link
$profilebutton = 1;                                                   # 1 to show view profile button under post, or 0 for blank
$timeselected = 4;                                                    # Select your preferred output Format of Time and Date
$allow_hide_email = 1;                                                # Allow users to hide their email from public. Set 0 to disable
$gballowset = 1;                                                      # Allow members to change Guestbook settings within admins settings. Set 0 to disable
$gballowguest = 1;                                                    # Allow guestposting in Guestbook. Set 0 to disable
$gb_enable_ubbc = 1;                                                  # Allow UBBC tags and Smilies in Guestbook. Set 0 to disable
$MaxGuestPosts = 30;                                                  # Max. allowed posts in Guestbooks
$MaxGuestChars = 200;                                                 # Max. allowed characters in posts in Guestbooks
$GbTimeout = 2;                                                       # Min. minutes between posts from same IP in same Guestbooks
$showlatestmember = 1;                                                # Set to 1 to display "Welcome Newest Member" on the Board Index
$shownewsfader = 1;                                                   # 1 to allow or 0 to disallow NewsFader javascript on the Board Index
                                                                      # If 0, you'll have no news at all unless you put <yabb news> tag
                                                                      # back into template.html!!!
$Show_RecentBar = 1;                                                  # Set to 1 to display the Recent Post on Board Index
## WHOSON MOD START ##
$Show_OnlineBar = 1;                                                  # Set to 1 to display the Who's Online List table row on Board Index
$Show_MostUsers = 1;                                                  # Set to 1 to display the Line with Most Users Online in the Who's Online List
$Show_WhosOn = 1;                                                     # Set to 1 to add the text Who's Online to your YaBB menu
$onlopt = 1;                                                          # Set to 1 to enable Online Overview for all
$adminwho = 0;                                                        # Set to 1 to enable the actions display in the Online Overview
$whotime = 20;                                                        # Number of Seconds to refresh the Online table
## WHOSON MOD END ##
$showmarkread = 1;                                                    # Set to 1 to display and enable the mark as read buttons
$showmodify = 1;                                                      # Set to 1 to display "Last modified: Realname - Date" under each message
$ShowBDescrip = 1;                                                    # Set to 1 to display board descriptions on the topic (message) index for each board
$showuserpic = 1;                                                     # Set to 1 to display each member's picture in the message view (by the ICQ.. etc.)
$showusertext = 1;                                                    # Set to 1 to display each member's personal text in the message view (by the ICQ.. etc.)
$showgenderimage = 1;                                                 # Set to 1 to display each member's gender in the message view (by the ICQ.. etc.)
$showyabbcbutt = 1;                                                   # Set to 1 to display the yabbc buttons on Posting and IM Send Pages
$enable_buddies = 1;                                                  # Set to 1 to enable the BuddyList for users
$enable_mailsounds = 1;                                               # Set to 1 to enable info-sounds on new private messages
$sound = "hal_9000.wav";                                              # Set to 1 to enable Sound as default for new regged users
$enable_mailpopup = 1;                                                # Set to 1 to enable info-popup on new private messages
$popup_on = 1;                                                        # Set to 1 to enable Popups as default for new regged users
$enable_imlimit = 1;                                                  # Set to 1 to enable limitation of incoming and outgoing im messages

########## Automated IM Settings ##########

$imtext = qq~Welcome to our community forum, reply to this instant message to get an idea how it works.~;
$sendname = admin;
$imsubject = "Welcome to My Garthamlock Forum";
$send_welcomeim = 1;
$imch_enabled = 1;
$imch_delay = "30";                                                   ########## Gallery Settings ##########

$allowgal = "1";                                                      # enable gallery
$galleryabs = "/kunden/homepages/40/d91415980/htdocs/gallery";        # /home/yourserverid/yourdomain/yabb/public_html/Album
$galleryrel = "../../gallery";                                        # ../../public_html/Album
$allowgst = "1";                                                      # enable guestaccess
$allowpstlnk = "1";                                                   # enable postlink
$allowprolnk = "1";                                                   # enable profilelink
$allowset = "1";                                                      # enable personal settings
$ad_descrip_on = "1";                                                 # enable description
$ad_descrip = "";                                                     # description
$ad_fotograf_on = "1";                                                # enable fotograf
$ad_fotograf = "";                                                    # fotograf
$ad_caption_on = "1";                                                 # enable caption
$ad_view_on = "1";                                                    # enable personal view
$ad_ft_height = "";                                                   # height of fotos
$ad_ft_col = "4";                                                     # column of fotos
$ad_thumbs_on = "1";                                                  # enable thumbnails
$ad_th_name = "th_";                                                  # names of thumbnails start with
$ad_th_height = "150";                                                # height of thumbnails
$ad_zip_on = "1";                                                     # enable zip / tar
$maxalbum = "3";                                                      # max albums limit
$maxfoto = "100";                                                     # max album foto limit
$maxsize = "";                                                        # max album size limit
$maxgalfoto = "300";                                                  # max gallery foto limit
$maxgalsize = "";                                                     # max gallery size limit


########## Counter Setting ##########

$cntstart = "00221";                                                  # Set Counterstart with zeros
$cnton = "1";                                                         # Set Counter counts on 0 =CALL , 1 =LOGIN

########## Karma Settings ##########
$waitTime = 604800;                                                   # number of seconds before a repeated action is allowed
$restrictAdmin = 0;                                                   # set to 1 to restrict admins to the waitTime as well
$karmaMinPosts = 0;                                                   # the minimum number of posts needed to modify karma
$karmaAllowedMemberGroups = "";                                       # the membergroups allowed to modify karma
########## Karma Settings ##########

########## Feature Settings ##########
$visualcluttert = 0;
$visualclutterb = 0;
$banneradstags = 0;

$smilieset = penguins;                                                # Choose the smiliedir (without /) within /YaBBImages/Emoticons/ for the message smilies.
$enable_ubbc = 1;                                                     # Set to 1 if you want to enable UBBC (Uniform Bulletin Board Code)
$enable_news = 1;                                                     # Set to 1 to turn news on, or 0 to set news off
$regop = 0;                                                           # Choose your Register Option: admin; close or stand
$reglog = 1;                                                          # Set to 1 if you want to enable logfiles for admin registrations
$allowpics = 1;                                                       # set to 1 to allow members to choose avatars in their profile
$enable_guestposting = 0;                                             # Set to 0 if do not allow 1 is allow.
$enable_notification = 1;                                             # Allow e-mail notification
$enable_favorites = 1;                                                # Allow Favorites Lists
$enable_favdrop = 1;                                                  # Allow Favorites Lists Dropdown selector
$autolinkurls = 1;                                                    # Set to 1 to turn URLs into links, or 0 for no auto-linking.

$timeoffset = -1;                                                     # Time Offset (so if your server is EST, this would be set to -1 for CST)
$TopAmmount = 15;                                                     # No. of top posters to display on the top members list
$MembersPerPage = 35;                                                 # No. of members to display per page of Members List - All
$maxdisplay = 20;                                                     # Maximum of topics to display
$maxmessagedisplay = 15;                                              # Maximum of messages to display
$MaxMessLen = 5500;                                                   # Maximum Allowed Characters in a Posts
$allowauctions = 1;                                                   # 1 activates YaBB Auction
$MaxSigLen = 200;                                                     # Maximum Allowed Characters in Signatures
$ClickLogTime = 100;                                                  # Time in minutes to log every click to your forum (longer time means larger log file size)
$max_log_days_old = 30;                                               # If an entry in the user's log is older than ... days remove it
                                                                      # Set to 0 if you want it disabled
$fadertime = 1000;                                                    # Length in milliseconds to delay between each item in the news fader
$timeout = 5;                                                         # Minimum time between 2 postings from the same IP
#RECENT USERS LIST
$rul_show_avatars = 1;                                                # Show avatars in list on board index?
$rul_show_time = 1;                                                   # Show times in list on board index?
$rul_avatar_link = 1;                                                 # What should the avatars link to?
$rul_avatar_width = 60;                                               # Avatar resizing - maximum width in pixels (0 to disable)
$rul_avatar_height = 80;                                              # Avatar resizing - maximum height in pixels (0 to disable)
$rul_users_display = 10;                                              # Number of recent users to show on board index
$rul_rowspan = 6;                                                     # Number of rows in Info Centre (not including main Info Centre title row) <b>while not logged in</b>
$numposts = 0;                                                        # Number of posts required to send Instant Messages
$imspam = off;                                                        # Percent of Users a user is a allowed to send a message at once
$numibox = 20;                                                        # Number of maximum Messages in the IM-Inbox
$numobox = 20;                                                        # Number of maximum Messages in the IM-Outbox
$numstore = 20;                                                       # Number of maximum Messages in the Storage box


########## Membergroups ##########

$JrPostNum = 50;                                                      # Number of Posts required to show person as 'junior' membergroup
$FullPostNum = 100;                                                   # Number of Posts required to show person as 'full' membergroup
$SrPostNum = 250;                                                     # Number of Posts required to show person as 'senior' membergroup
$GodPostNum = 500;                                                    # Number of Posts required to show person as 'god' membergroup


########## MemberPic Settings ##########

$userpic_width = 0;                                                   # Set pixel size to which the selfselected userpics are resized, 0 disables this limit
$userpic_height = 0;                                                  # Set pixel size to which the selfselected userpics are resized, 0 disables this limit
$userpic_limits = qq~Please note that your image must be <b>gif</b> or <b>jpg</b> and that it will be resized.~;
                                                                      # Text To Describe The Limits


########## File Locking ##########

$LOCK_EX = 2;                                                         # You can probably keep this as it is set now.
$LOCK_UN = 8;                                                         # You can probably keep this as it is set now.
$LOCK_SH = 1;                                                         # You can probably keep this as it is set now.

$use_flock = 1;                                                       # Set to 0 if your server doesn't support file locking,
                                                                      # 1 for Unix/Linux and WinNT, and 2 for Windows 95/98/ME

$usetempfile = 1;                                                     # Write to a temporary file when updating large files.
                                                                      # This can potentially save your board index files from
                                                                      # being corrupted if a process aborts unexpectedly.
                                                                      # 0 to disable, 1 to enable.

$faketruncation = 0;                                                  # Enable this option only if YaBB fails with the error:
                                                                      # "truncate() function not supported on this platform."
                                                                      # 0 to disable, 1 to enable.
$gzcomp = 2;                                                          # GZip compression: 0 = No Compression, 1 = External gzip, 2 = Zlib::Compress
$gzforce = on;                                                        # Don't try to check whether browser supports GZip

1;
